| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Enumerations | Functions
matrix.h File Reference
`#include "basic_types.h"`
Include dependency graph for matrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | { X = 0, Y = 1, Z = 2 }

## Functions
void | f3x3matrixAeqI (float A[][3])
void | fmatrixAeqI (float *A[], int16 rc)
void | f3x3matrixAeqScalar (float A[][3], float Scalar)
void | f3x3matrixAeqInvSymB (float A[][3], float B[][3])
void | f3x3matrixAeqAxScalar (float A[][3], float Scalar)
void | f3x3matrixAeqMinusA (float A[][3])
float | f3x3matrixDetA (float A[][3])
void | eigencompute (float A[][10], float eigval[], float eigvec[][10], int8 n)
void | fmatrixAeqInvA (float *A[], int8 iColInd[], int8 iRowInd[], int8 iPivot[], int8 isize)
void | fmatrixAeqRenormRotA (float A[][3])

## Enumeration Type Documentation

anonymous enum

Enumerator
X |
Y |
Z |

Definition at line 32 of file matrix.h.

## Function Documentation

void eigencompute | ( | float | A[][10],
|  | float | eigval[],
|  | float | eigvec[][10],
|  | int8 | n
| ) |  |

Definition at line 182 of file matrix.c.

References NITERATIONS.

Referenced by fUpdateCalibration10EIG(), and fUpdateCalibration7EIG().

Here is the caller graph for this function:

void f3x3matrixAeqAxScalar | ( | float | A[][3],
|  | float | Scalar
| ) |  |

Definition at line 94 of file matrix.c.

Referenced by fUpdateCalibration10EIG(), and fUpdateCalibration7EIG().

Here is the caller graph for this function:

void f3x3matrixAeqI | ( | float | A[][3] | ) |

Definition at line 36 of file matrix.c.

Referenced by f3DOFMagnetometerMatrixAndroid(), f3DOFMagnetometerMatrixNED(), f3DOFTiltNED(), f3DOFTiltWin8(), f3x3matrixAeqInvSymB(), feCompassAndroid(), feCompassNED(), feCompassWin8(), fInit_3DOF_Y_BASIC(), fInit_6DOF_GY_KALMAN(), fInit_9DOF_GBY_KALMAN(), fInitMagCalibration(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

Here is the caller graph for this function:

void f3x3matrixAeqInvSymB | ( | float | A[][3],
|  | float | B[][3]
| ) |  |

Definition at line 134 of file matrix.c.

References f3x3matrixAeqI().

Referenced by fUpdateCalibration10EIG().

Here is the call graph for this function:

Here is the caller graph for this function:

void f3x3matrixAeqMinusA | ( | float | A[][3] | ) |

Definition at line 113 of file matrix.c.

Referenced by fUpdateCalibration10EIG(), and fUpdateCalibration7EIG().

Here is the caller graph for this function:

void f3x3matrixAeqScalar | ( | float | A[][3],
|  | float | Scalar
| ) |  |

Definition at line 76 of file matrix.c.

Referenced by f3DOFTiltNED(), f3DOFTiltWin8(), and fUpdateCalibration7EIG().

Here is the caller graph for this function:

float f3x3matrixDetA | ( | float | A[][3] | ) |

Definition at line 169 of file matrix.c.

References X, Y, and Z.

Referenced by fUpdateCalibration10EIG().

Here is the caller graph for this function:

void fmatrixAeqI | ( | float * | A[],
|  | int16 | rc
| ) |  |

Definition at line 55 of file matrix.c.

Referenced by fmatrixAeqInvA().

Here is the caller graph for this function:

void fmatrixAeqInvA | ( | float * | A[],
|  | int8 | iColInd[],
|  | int8 | iRowInd[],
|  | int8 | iPivot[],
|  | int8 | isize
| ) |  |

Definition at line 325 of file matrix.c.

References fmatrixAeqI().

Referenced by fRun_6DOF_GY_KALMAN(), fRun_9DOF_GBY_KALMAN(), and fUpdateCalibration4INV().

Here is the call graph for this function:

Here is the caller graph for this function:

void fmatrixAeqRenormRotA | ( | float | A[][3] | ) |

Definition at line 458 of file matrix.c.

References CORRUPTMATRIX, X, Y, and Z.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.